Bug 35386 - up2date does not load from either console or gnome
up2date does not load from either console or gnome
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-09 17:29 EDT by Kenny Holden
Modified: 2015-01-07 18:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-09 17:29:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenny Holden 2001-04-09 17:29:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-22 i686)


after installing redhat 7, i used up2date, and was installing various
packages on the system (im new to linux), im not sure which packages have
caused the problem, probably the new libraries. The msg I get, when ran
through an xterm window;
Traceback (innermost last):
	File "/usr/sbin/up2date", line 9, in ?
		import rpm
ImportError: /usr/lib/python1.5/site-packages/rpmmodule.s: undefined
symbol: rpmSetVerbosity


Reproducible: Always
Steps to Reproduce:
1.not sure which updates i installed,
2.everytime i run an xterm and type 'up2date'
3.or nothing is displayed if i try to use gnomes RNH update agent (ie does
not work)
	

Actual Results:  Traceback (innermost last):
	File "/usr/sbin/up2date", line 9, in ?
		import rpm
ImportError: /usr/lib/python1.5/site-packages/rpmmodule.s: undefined
symbol: rpmSetVerbosity


Expected Results:  the up2date package, should haveloaded its gui, like it
has done in the past

i dont know where logs, to find out more specific's that caused this
problem, email me at kjh@codez.co.uk, with directions, and i shall forward
the output.
Comment 1 Jay Turner 2001-04-10 09:14:03 EDT
You need to get the latest RPM (rpm-4.0.2-7x) as well as the latest rpm-python
(rpm-python-4.0.2-7x) and install those.  Both packages can be obtained from
ftp://updates.redhat.com


Note You need to log in before you can comment on or make changes to this bug.